package cn.wisenergy.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @Authotr:陈奇
 * @QQ1799796883
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="ProjectInfoDto", description="可填报的项目")
public class ProjectInfoDto {

    @ApiModelProperty(name = "type",value = "1:项目，2：商机")
    private Integer type;

    @ApiModelProperty(name = "typeName",value = "类型名称")
    private String typeName;

    @ApiModelProperty(name = "deptManagerName",value = "部门经理姓名")
    private String deptManagerName;

    private List<ProjectDto> projectDto;

}
